Bug 526640 - update of udev causes udevd to change the context
update of udev causes udevd to change the context
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-01 04:54 EDT by Tomas Smetana
Modified: 2012-10-15 10:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 03:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Smetana 2009-10-01 04:54:02 EDT
Description of problem:
When updating udev, the udev daemon is restarted in the post scriptlet which causes it to change the SELinux context.

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-255

How reproducible:
always

Steps to Reproduce:
1. rpm -Uvh udev-095-14.21.i386.rpm
2. ps -Z grep udev
  
Actual results:
[root@localhost i386]# ps -AZ | grep udev
system_u:system_r:udev_t:SystemLow-SystemHigh 343 ? 00:00:01 udevd
[root@localhost i386]# rpm -Uvh udev-095-14.21.i386.rpm
Preparing...                ########################################### [100%]
  1:udev                   ########################################### [100%]
[root@localhost i386]# ps -AZ | grep udev
user_u:system_r:rpm_script_t     3973 ?        00:00:00 udevd

Expected results:
the context remains system_u:system_r:udev_t.

Additional info:
This bug has been already fixed somewhere between selinux-policy-2.4.6-255
and selinux-policy-2.4.6-257 but I was unable to find a corresponding bugreport.  I have been asked to create one for tracking purposes and to ensure the fix is tested in 5.5.
Comment 1 Daniel Walsh 2009-10-01 09:37:55 EDT
Not sure when it was fixed but I will say

Fixed in selinux-policy-2.4.6-257.el5
Comment 6 errata-xmlrpc 2010-03-30 03:50:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0182.html

Note You need to log in before you can comment on or make changes to this bug.